import java.awt.*;

public class Boule {
    public double centerX, centerY;          // zentrum der kugel
    public double radius;                    // radius der kugel
    public double speedX, speedY;         // geschwindigkeitsvektor

    private final int upperBound = 5;          // oberer Rand
    private final int lowerBound = 350;         // unterer Rand
    private final int leftBound = 5;           // linker Rand
    private final int rightBound = 615;         // rechter Rand
    private  int q = 0;

    // Konstruktor. 
    public Boule(double cx, double cy, double rad) {
        speedX  = 0;
        speedY  = 0;
        centerX = cx;
        centerY = cy;
        radius  = rad;
    }

    // Legt Geschwindigkeit des Objekts fest
    public void setSpeed(int sx, int sy) {
        speedX = (int) sx;
        System.out.println(speedX);
        speedY = (int) sy;
        System.out.println(speedY);
    }

    // Bewegt das Objekt relativ zu seiner Position
    public void move(double dx, double dy) {
        centerX += dx;                               // Zentrum mitverschieben
        centerY += dy;
    }
    
    // Bewegt  Objekt um eine Einheit vorwaerts.
    // Falls das Objekt am Rand anstoesst, wird richtung veraendert
    public void fly() { 
        if ((centerX - radius < leftBound) || (centerX + radius > rightBound))
            speedX = -speedX;
        if ((centerY - radius < upperBound) || (centerY + radius > lowerBound))
            speedY = - speedY;
        move(speedX, speedY);  // Objekt an neue Position verschieben
    }

}

