import java.awt.*;
import java.awt.event.*;

import java.applet.Applet;

public class BouleAnimation extends Applet implements ActionListener, Runnable{

    private BouleThread kugel1, kugel2, kugel3;         // objekte
    
    Thread animation; 
    
    Button start1, stop1, suspend1, resume1, sleep1;
    Button start2, stop2, suspend2, resume2, sleep2;
    Button start3, stop3, suspend3, resume3, sleep3;
    Button blau, rot, schwarz;
        
    static final String START1 = "start1";
    static final String STOP1 = "stop1";
    static final String SUSPEND1 = "suspend1";
    static final String RESUME1 = "resume1";
    static final String SLEEP1 = "sleep1";

    static final String START2 = "start2";
    static final String STOP2 = "stop2";
    static final String SUSPEND2 = "suspend2";
    static final String RESUME2 = "resume2";
    static final String SLEEP2 = "sleep2";

    static final String START3 = "start3";
    static final String STOP3 = "stop3";
    static final String SUSPEND3 = "suspend3";
    static final String RESUME3 = "resume3";
    static final String SLEEP3 = "sleep3";

    // Initialisiert alle Objekte
    public void init() {
        Panel ButtonPanel = new Panel();
        BorderLayout layout1 = new BorderLayout();
        GridLayout grid2 = new GridLayout(3,0);
      
        setLayout(layout1);

        ButtonPanel.setLayout(grid2);
        add("North",ButtonPanel);
    
        blau = new Button();
        blau.setLabel("Blau");

        start1 = new Button();
        start1.setLabel("start()");
        start1.setActionCommand(START1);
        
        stop1 = new Button();
        stop1.setLabel("stop()");
        stop1.setActionCommand(STOP1);
        
        suspend1 = new Button();
        suspend1.setLabel("suspend()");
        suspend1.setActionCommand(SUSPEND1);

        resume1 = new Button();
        resume1.setLabel("resume()");
        resume1.setActionCommand(RESUME1);

        sleep1 = new Button();
        sleep1.setLabel("sleep()");
        sleep1.setActionCommand(SLEEP1);

        rot = new Button();
        rot.setLabel("Rot");

        start2 = new Button();
        start2.setLabel("start()");
        start2.setActionCommand(START2);
        
        stop2 = new Button();
        stop2.setLabel("stop()");
        stop2.setActionCommand(STOP2);
        
        suspend2 = new Button();
        suspend2.setLabel("suspend()");
        suspend2.setActionCommand(SUSPEND2);

        resume2 = new Button();
        resume2.setLabel("resume()");
        resume2.setActionCommand(RESUME2);

        sleep2 = new Button();
        sleep2.setLabel("sleep()");
        sleep2.setActionCommand(SLEEP2);

        schwarz = new Button();
        schwarz.setLabel("Schwarz");

        start3 = new Button();
        start3.setLabel("start()");
        start3.setActionCommand(START3);
        
        stop3 = new Button();
        stop3.setLabel("stop()");
        stop3.setActionCommand(STOP3);
        
        suspend3 = new Button();
        suspend3.setLabel("suspend()");
        suspend3.setActionCommand(SUSPEND3);

        resume3 = new Button();
        resume3.setLabel("resume()");
        resume3.setActionCommand(RESUME3);

        sleep3 = new Button();
        sleep3.setLabel("sleep()");
        sleep3.setActionCommand(SLEEP3);

        //Listen for actions on buttons 1.
        start1.addActionListener(this);
        stop1.addActionListener(this);
        suspend1.addActionListener(this);
        resume1.addActionListener(this);
        sleep1.addActionListener(this);

        //Listen for actions on buttons 2.
        start2.addActionListener(this);
        stop2.addActionListener(this);
        suspend2.addActionListener(this);
        resume2.addActionListener(this);
        sleep2.addActionListener(this);

        //Listen for actions on buttons 3.
        start3.addActionListener(this);
        stop3.addActionListener(this);
        suspend3.addActionListener(this);
        resume3.addActionListener(this);
        sleep3.addActionListener(this);

        //add buttons for sphere1
        ButtonPanel.add(blau);
        ButtonPanel.add(start1);
        ButtonPanel.add(stop1);
        ButtonPanel.add(suspend1);
        ButtonPanel.add(resume1);
        ButtonPanel.add(sleep1);

        //add buttons for sphere2
        ButtonPanel.add(rot);
        ButtonPanel.add(start2);
        ButtonPanel.add(stop2);
        ButtonPanel.add(suspend2);
        ButtonPanel.add(resume2);
        ButtonPanel.add(sleep2);

        //add buttons for sphere3
        ButtonPanel.add(schwarz);
        ButtonPanel.add(start3);
        ButtonPanel.add(stop3);
        ButtonPanel.add(suspend3);
        ButtonPanel.add(resume3);
        ButtonPanel.add(sleep3);

        setBackground(Color.white);
  
        // Kugeln erzeugen und initialisieren (nach Zufall)
        kugel1 = new BouleThread(this);
        kugel2 = new BouleThread(this);
        kugel3 = new BouleThread(this);
    }

    public void start() {
        if (animation == null) {
            animation = new Thread(this);            // Animations-Thread erzeugen
            animation.start(); // und starten
        }
    }

    // Paint-Methode wird von Thread aufgerufen
    public void paint(Graphics g) {
        g.setColor(Color.blue);
        g.fillOval((int)(kugel1.getKugel().centerX - kugel1.getKugel().radius), 
                   (int)(kugel1.getKugel().centerY + kugel1.getKugel().radius),
                   (int)(kugel1.getKugel().radius),
                   (int)(kugel1.getKugel().radius));
      
        g.setColor(Color.red);
        g.fillOval((int)(kugel2.getKugel().centerX - kugel2.getKugel().radius),
                   (int)(kugel2.getKugel().centerY + kugel2.getKugel().radius),
                   (int)(kugel2.getKugel().radius),
                   (int)(kugel2.getKugel().radius));

        g.setColor(Color.black);
        g.fillOval((int)(kugel3.getKugel().centerX - kugel3.getKugel().radius),
                   (int)(kugel3.getKugel().centerY + kugel3.getKugel().radius),
                   (int)(kugel3.getKugel().radius),
                   (int)(kugel3.getKugel().radius));
    }

    //  Thread bewegt die Flugobjekte
       public void run() { 
           kugel1.setPriority(1);
           kugel2.setPriority(1);
           kugel3.setPriority(1);
       } 

public  void actionPerformed(ActionEvent e) {
        String command = e.getActionCommand();
        
        //for sphere1
        if (command == START1)  kugel1.start();
        else if (command == STOP1)  kugel1.stop();
        else if (command == SUSPEND1) kugel1.suspend();
        else if (command == RESUME1) kugel1.resume();
        else if (command == SLEEP1)  {
            try {
                 kugel1.sleep(2000);
            }
            catch (InterruptedException i){
                System.out.println(i.toString());
            }
        }

        //for sphere2
        if (command == START2)  kugel2.start();
        else if (command == STOP2)  kugel2.stop();
        else if (command == SUSPEND2) kugel2.suspend();
        else if (command == RESUME2) kugel2.resume();
        else if (command == SLEEP2)  {
            try {
                 kugel2.sleep(2000);
            }
            catch (InterruptedException i){
                System.out.println(i.toString());
            }
        }

        //for sphere3
        if (command == START3)  kugel3.start();
        else if (command == STOP3)  kugel3.stop();
        else if (command == SUSPEND3) kugel3.suspend();
        else if (command == RESUME3) kugel3.resume();
        else if (command == SLEEP3)  {
            try {
                 kugel3.sleep(2000);
            }
            catch (InterruptedException i){
                System.out.println(i.toString());
            }
        }
 }
 public void stop() {
        animation = null;
    }
} 
